Page MenuHomePhabricator

UploadWizard-api* Jenkins job never fail !
Closed, ResolvedPublic

Description

The Smoke jobs:

https://integration.wikimedia.org/ci/job/UploadWizard-api-commons.wikimedia.org/
https://integration.wikimedia.org/ci/job/UploadWizard-api-commons.wikimedia.beta.wmflabs.org/

They both fail with:

+ DEV/bin/python tests/api/upload-wizard_tests.py --gen_new_image --username Selenium_user --api_url http://commons.wikimedia.org/w/api.php
======================================================================
ERROR: testUploadImageUsingWizardWorkflow (__main__.TestUploadWizardAPICalls)
Test that basic api calls used by the UploadWizard are working as expected
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/api/upload-wizard_tests.py", line 133, in testUploadImageUsingWizardWorkflow
  File "tests/api/upload-wizard_tests.py", line 44, in createNewImage
  File "/mnt/jenkins-workspace/workspace/UploadWizard-api-commons.wikimedia.org/DEV/local/lib/python2.7/site-packages/PIL/ImageFont.py", line 377, in load_default
    '''))))
  File "/mnt/jenkins-workspace/workspace/UploadWizard-api-commons.wikimedia.org/DEV/local/lib/python2.7/site-packages/PIL/ImageFont.py", line 117, in _load_pilfont_data
    image.load()
  File "/mnt/jenkins-workspace/workspace/UploadWizard-api-commons.wikimedia.org/DEV/local/lib/python2.7/site-packages/PIL/ImageFile.py", line 189, in load
    d = Image._getdecoder(self.mode, d, a, self.decoderconfig)
  File "/mnt/jenkins-workspace/workspace/UploadWizard-api-commons.wikimedia.org/DEV/local/lib/python2.7/site-packages/PIL/Image.py", line 385, in _getdecoder
    raise IOError("decoder %s not available" % decoder_name)
IOError: decoder zip not available

----------------------------------------------------------------------
Ran 3 tests in 0.131s

FAILED (errors=1)

Regardless Jenkins reports the build as: Finished: SUCCESS.

Event Timeline

hashar created this task.Jun 5 2015, 7:55 PM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.
Restricted Application added a project: Multimedia. · View Herald TranscriptJun 5 2015, 7:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 216297 had a related patch set uploaded (by Hashar):
Migrate UploadWizard-api* jobs to Trusty

https://gerrit.wikimedia.org/r/216297

Change 216297 merged by jenkins-bot:
Migrate UploadWizard-api* jobs to Trusty

https://gerrit.wikimedia.org/r/216297

Change 216300 had a related patch set uploaded (by Hashar):
Test API now exit 1 on failure

https://gerrit.wikimedia.org/r/216300

hashar claimed this task.Jun 5 2015, 8:21 PM
hashar triaged this task as Unbreak Now! priority.

Change 216300 merged by jenkins-bot:
Test API now exit 1 on failure

https://gerrit.wikimedia.org/r/216300

hashar added a comment.Jun 5 2015, 8:29 PM

Now the job is properly failing on error/exception.

Change 216307 had a related patch set uploaded (by Hashar):
contint: PIL 1.1.7 expects libs in /usr/lib

https://gerrit.wikimedia.org/r/216307

hashar closed this task as Resolved.Jun 5 2015, 9:05 PM

I have no idea for how long the jobs have been broken, but the patch above make the work (and properly fail on exception).

Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJun 29 2015, 5:49 PM

Change 216307 merged by Jcrespo:
contint: PIL 1.1.7 expects libs in /usr/lib

https://gerrit.wikimedia.org/r/216307

Change 343305 had a related patch set uploaded (by Hashar):
[operations/puppet] contint: drop a hack for python PIL

https://gerrit.wikimedia.org/r/343305

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMar 17 2017, 2:00 PM

Change 343305 merged by Alexandros Kosiaris:
[operations/puppet] contint: drop a hack for python PIL

https://gerrit.wikimedia.org/r/343305